Bug 522156 - Not LSB compliant initscript
Summary: Not LSB compliant initscript
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: trousers
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 593673
TreeView+ depends on / blocked
 
Reported: 2009-09-09 15:46 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:04 UTC (History)
5 users (show)

Fixed In Version: trousers-0.3.4-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 593673 (view as bug list)
Environment:
Last Closed: 2010-12-05 06:27:34 UTC


Attachments (Terms of Use)

Description Michal Marciniszyn 2009-09-09 15:46:49 UTC
The tcsd initscript is not LSB compliant. It does not have valid LSB header, not all actions are supported and it does not return valid error codes.

I'll supply patch next week and test for the script, this bug is due to our LSB compliance check.

Comment 1 Milos Jakubicek 2009-09-10 12:23:55 UTC
You don't have to do that, I know about this (I took the package over some months ago) and I've already did it, but it is not yet commited into CVS. I'm currently discussing some more changes in the initscript with upstream. There will be quite a lot of changes, please be just patient.

Comment 2 Bug Zapper 2009-11-16 12:07:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Milos Jakubicek 2010-05-01 11:28:22 UTC
Should be fixed in devel, Steve, please, can you review and possibly upstream the patch?

Comment 5 Steve Grubb 2010-05-03 13:46:18 UTC
This was fixed and upstreamed in 0.3.4. Its mentioned the ChangeLog in the tarball. So, this bug could be closed.

Comment 6 Milos Jakubicek 2010-05-03 13:57:14 UTC
Hm, ok -- maybe that they made the init script LSB compliant, but definitely not compliant with current init script guidelines for Fedora (https://fedoraproject.org/wiki/Packaging/SysVInitScript). Since the init script in the tarball seems to be for Fedora only, we shuold probably try to upstream this change, see the current devel branch.

Comment 7 Steve Grubb 2010-05-03 14:17:13 UTC
The LSB compliant issues was to support the new commands force-reload and
try-restart. The page you reference says: LSB Headers are not required for
Fedora SysV-style initscripts, but they may be used. ...and it can cause issues
with ordering." 

For this reason, I generally do not add LSB headers to security daemons. But if
you really want this, you would want to add some prerequisites:

Required-Start: $network $syslog

So...LSB compliance and LSB headers are 2 different issues. :)

Comment 8 Milos Jakubicek 2010-05-03 14:30:50 UTC
I was not speaking about LSB headers/LSB compliance in particular, there are lots of other things mentioned in Fedora's guidelines, see my patch.

Comment 9 Bug Zapper 2010-11-04 10:09:05 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-05 06:27:34 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.